Bug 377731 - drop or subpackage static library
drop or subpackage static library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libesmtp (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Pawel Salek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 08:32 EST by Patrice Dumas
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-11-12 08:32:50 EST
Description of problem:

There is a static library in libesmtp. I think it should be either
dropped or put in libesmtp-static. In the case of libesmtp, I 
am in favor of dropping it, since dlsym is used, the ABI is
stable and security issues are relevant for libesmtp.

I can do a patch once a solution is agreed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Pawel Salek 2007-11-12 17:16:10 EST
I see this library is a part of libesmtp-devel package. This is similar to many
other libraries (openssl, libxslt, to name two of them). Is there any reason to
deviate from this apparent convention?
Comment 2 Patrice Dumas 2007-11-12 17:43:07 EST
It is in the guidelines since a few months. Also, in 
general, the packages from core that haven't finished
their merge review are in bad state with respect with 
guidelines. I don't know about those packages, but in 
any case static libs should be in -static subpackages
or not shipped.

http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

You can see that I am not an opponent of static libs:
http://fedoraproject.org/wiki/PatriceDumas
Comment 3 Pawel Salek 2007-11-15 16:30:40 EST
Patch commited - thank you!
Comment 4 Patrice Dumas 2007-11-15 16:49:17 EST
An alternative way to avoid the static library,
including avoiding to build it in the first place 
is to pass to %configure:

--disable-static
Comment 5 Patrice Dumas 2007-11-15 17:20:12 EST
also %{_libdir}/libesmtp.a is still listed
Comment 6 Patrice Dumas 2007-11-18 08:52:24 EST
Can I implement myself the fixes I propose?
Comment 7 Pawel Salek 2007-11-18 09:30:02 EST
Go ahead - I am currently out, travelling.

Note You need to log in before you can comment on or make changes to this bug.